# Directory containing class headers.
SET(VTK_CHEMISTRY_HEADER_DIR "${VTK_INSTALL_PREFIX}/include/vtk-5.10")

# Classes in vtkChemistry.
SET(VTK_CHEMISTRY_CLASSES
  "vtkAbstractElectronicData"
  "vtkBlueObeliskData"
  "vtkBlueObeliskDataParser"
  "vtkCMLMoleculeReader"
  "vtkMoleculeAlgorithm"
  "vtkMoleculeMapper"
  "vtkMoleculeToAtomBallFilter"
  "vtkMoleculeToBondStickFilter"
  "vtkMoleculeToPolyDataFilter"
  "vtkPeriodicTable"
  "vtkProgrammableElectronicData"
  "vtkSimpleBondPerceiver")

# Abstract classes in vtkChemistry.
SET(VTK_CHEMISTRY_CLASSES_ABSTRACT
  "vtkAbstractElectronicData"
  "vtkMoleculeToPolyDataFilter")

# Wrap-exclude classes in vtkChemistry.
SET(VTK_CHEMISTRY_CLASSES_WRAP_EXCLUDE)

# Wrap-special classes in vtkChemistry.
SET(VTK_CHEMISTRY_CLASSES_WRAP_SPECIAL)

# Wrappable non-class headers for vtkChemistry.
SET(VTK_CHEMISTRY_WRAP_HEADERS)

# Set convenient variables to test each class.
FOREACH(class ${VTK_CHEMISTRY_CLASSES})
  SET(VTK_CLASS_EXISTS_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_CHEMISTRY_CLASSES_ABSTRACT})
  SET(VTK_CLASS_ABSTRACT_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_CHEMISTRY_CLASSES_WRAP_EXCLUDE})
  SET(VTK_CLASS_WRAP_EXCLUDE_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_CHEMISTRY_CLASSES_WRAP_SPECIAL})
  SET(VTK_CLASS_WRAP_SPECIAL_${class} 1)
ENDFOREACH(class)
